import re

from setuptools import setup

with open('pyrest/__init__.py', 'r') as fd:
    version = re.search(r'^__version__\s*=\s*[\'"]([^\'"]*)[\'"]',
                        fd.read(), re.MULTILINE).group(1)

setup(name='pyrest',
      version=version,
      author='Bram Janssen',
      author_email='bram.janssen@vito.be',
      description='RESTful API service built in Python. This API focusses on image manipulations.',
      url='',
      packages=['pyrest'],
      install_requires=['imageio', 'datetime', 'multiprocessing', 'pillow', 'flask']
      )